Package classycle.graph

# Interface VertexCondition

All Known Implementing Classes:
  `PatternVertexCondition`

public interface VertexCondition
Interface of classes which determine whether a `Vertex` fulfills a condition or not.

Author:
  Franz-Josef Elmer

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFulfilled(Vertex vertex)`
Returns `true` if the specified vertex fulfills the condition.

## Method Details

### isFulfilled

boolean isFulfilled(Vertex vertex)
Returns `true` if the specified vertex fulfills the condition.

Parameters:
  `vertex` - The vertex to be checked. Can be `null`.
Returns:
  `false` if `vertex == null`.